Skip to content
API Reference
API Reference

Retrieve the current account

Retrieve the user and account context available to the presented API key.

Retrieve the user and account context available to the presented API key.

Endpoint

GET /api/v1/me
Base URL
https://runapi.ai
API version
v1
Authentication
Authorization: Bearer YOUR_API_KEY
02

Success response

HTTP 200

GET /api/v1/me

JSON
{
  "account": {
    "id": 7,
    "name": "Example Studio"
  },
  "email": "[email protected]",
  "id": 42,
  "name": "Ada"
}
03

Error response (401)

HTTP 401
Response schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Response example

JSON
{
  "error": "Authentication required"
}
04

Error response (403)

HTTP 403
Response schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

Response example

JSON
{
  "error": "Standard API key required"
}
05

cURL example

CURL
curl -X GET https://runapi.ai/api/v1/me \
  -H 'Authorization: Bearer YOUR_API_KEY'